kind: Deployment
apiVersion: apps/v1
metadata:
  name: funkwhale
  labels:
    app: funkwhale
spec:
  replicas: 1
  selector:
    matchLabels:
      app: funkwhale
  template:
    metadata:
      labels:
        app: funkwhale
    spec:
      containers:
      - name: api
        image: funkwhale/api:1.4.0
        envFrom:
        - configMapRef:
            name: funkwhale-config
        - secretRef:
            name: funkwhale-secrets
        volumeMounts:
        - name: static
          mountPath: /static
        - name: music
          mountPath: /music

      - name: front
        image: funkwhale/front:1.4.0
        command:
        - sh
        - -c
        - "envsubst \"`env | awk -F = '{printf \" $$%s\", $$1}'`\" < /etc/nginx/conf.d/funkwhale.template > /etc/nginx/conf.d/default.conf && cat /etc/nginx/conf.d/default.conf && nginx -g 'daemon off;'"
        envFrom:
        - configMapRef:
            name: funkwhale-config
        ports:
        - name: http
          containerPort: 80
        volumeMounts:
        - name: static
          mountPath: /static
        - name: nginx-config
          mountPath: /etc/nginx/conf.d/funkwhale.template
          subPath: funkwhale.template
        - name: nginx-config
          mountPath: /etc/nginx/funkwhale_proxy.conf
          subPath: funkwhale_proxy.conf

      volumes:
      - name: static
        emptyDir: {}
      - name: music
        emptyDir: {}
      - name: nginx-config
        configMap:
          name: funkwhale-nginx
